﻿@model Mr_Book_FontEnd_V1.Models.AllBuyModel

@{
    ViewData["Title"] = "Order";
}
<style>
    .center {
        text-align: center;
    }

    .pagination {
        display: inline-block;
    }

    .pagination a {
        color: black;
        float: left;
        padding: 8px 16px;
        text-decoration: none;
        border: 1px solid #ddd;
    }

    .pagination a:first-child {
        border-top-left-radius: 5px;
        border-bottom-left-radius: 5px;
    }

    .pagination a:last-child {
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
    }
</style>
<div class="container-fluid">
    <div class="page-header">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <i class="ik ik-file-text bg-blue"></i>
                    <div class="d-inline">
                        <h5>Order</h5>
                        <span>รายการซื้อสินค้า</span>
                    </div>
                </div>
            </div>

            <div class="col-lg-4">
                <nav class="breadcrumb-container" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="#"><i class="ik ik-home"></i></a>
                        </li>
                        <li class="breadcrumb-item">
                            <a href="@Url.Action("Index","Home")">Home</a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Order</li>
                    </ol>
                </nav>
            </div>

        </div>
    </div>
    <div class="card-body">
        <div class="card">
            <div class="card-header row">
                <div class="col col-sm-2">
                    <div class="card-search with-adv-search dropdown">
                        <form method="get">
                            <input type="text" class="form-control" placeholder="Search.." name="search" id="search">
                            <button class="btn btn-icon"><i class="ik ik-search"></i></button>
                        </form>
                    </div>
                </div>
                <div class="col col-sm-3">
                </div>
            </div>
            <div class="card-body p-0">
                <div class="list-item-wrap">
                    @if (Model.order != null)
                    {
                        @foreach (var i in Model.order)
                        {
                            <div class="list-item">
                                <div class="item-inner">
                                    <div class="list-title"><a href="javascript:void(0)">ชื่อลูกค้า: @i.Firstname</a></div>
                                </div>

                                <div class="qickview-wrap">
                                    <div class="desc">
                                        <p>ชื่อหนังสือ:  @i.ProductName</p>
                                        <p>วันที่:  @Convert.ToDateTime(i.OrderDate).ToString("dd/MM/yyyy")</p>
                                        <p>ราคา:  @i.Price บาท</p>
                                    </div>
                                </div>
                            </div>
                        }
                    }

                </div>
            </div>
        </div>
        <form method="get" action="@Url.Action("Order","Home")">
            <div class="center">
                <div class="pagination">

                </div>
            </div>
        </form>
    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
<script>
    var pageLen = @Model.count;
    var limit = 10;
    var i = 0;
    var item = [];
    for (i; i < pageLen / limit; i++){

        item.push(i+1);
        if (pageLen % limit > 0) {
            i + 1;
        }
    }

    $.each(item, function (index, value) {
        $(".pagination").append('<button type="submit" class="btn " id="btn" name="page" value="'+value+'">'+value+'</button> ');
    });

</script>

